Menu

Opt Outs

Opt outs are the people who have unsubscribed from your textword lists. With the API, you can only retrieve them. The following actions can be performed on this resource...

Retrieve All Opt Outs

Retrieves all opt outs associated with all textwords in your account. By default, you will get the first 20 opt outs, but you can modify this with the limit and offset values in the query string. The max limit for a single request is 10,000.

When retrieving multiple opt outs, you may also want to include additional criteria in the query string to filter the results by. Any field that is included in the resources is available for use as a filter. These are exact matches; They are case-sensitive and do not allow wildcards.

You may also want to filter your results by the date and time your opt outs first subscribed. You can do this by passing the subscribedAfter and / or subscribedBefore query string parameters. The values should be url encoded, in the format of YYYY-MM-DD HH:MM:SS, and in the Pacific Timezone (America/Los_Angeles).

Additionally, you can also filter your results by the date and time they opted out. You can do this by passing the optedOutAfter and / or optedOutBefore query string parameters in the same format as stated above.

GET https://api.slicktext.com/v1/optouts?limit=30&offset=10
Example response:

{
	"meta": {
		"limit": 30,
		"offset": 10,
		"total": 1
	},
	"links": {
		"self": "https://api.slicktext.com/v1/optouts"
	},
	"optOuts": [
		{
			"id": "620548156453356",
			"number": "+13334445555",
			"city": "Jamestown",
			"state": "NY",
			"zipCode": 14701,
			"country": "US",
			"textword": "43434439",
			"subscribedDate": "2016-11-23 08:08:00",
			"optOutDate": "2017-12-04 12:23:04",
			"firstName": "John",
			"lastName": "Smith",
			"birthDate": null,
			"email": "john@slicktext.com",
			optInMethod": "api"
		}
	]

}
					

Retrieve a Specific Opt Out

Retrieves a specific opt out with the id equal to {id}. Note that this is the id of the opt out, not the id of their previous subscriber record.

GET https://api.slicktext.com/v1/optouts/{id}
Example response:

{
	"links": {
		"self": "https://api.slicktext.com/v1/optouts/620548156453356"
	},
	"optOut": {
		"id": "620548156453356",
		"number": "+13334445555",
		"city": "Jamestown",
		"state": "NY",
		"zipCode": 14701,
		"country": "US",
		"textword": "43434439",
		"subscribedDate": "2016-11-23 08:08:00",
		"optOutDate": "2017-12-04 12:23:04",
		"firstName": "John",
		"lastName": "Smith",
		"birthDate": null,
		"email": "john@slicktext.com",
		optInMethod": "api"
	}
}